
Infrastructure - Task #1954

Story # 1906 (Closed): Review, revise, and update architecture documentation

CNReplication documentation needs clarification

2011-10-29 04:04 - Chris Jones

Status: Closed Start date: 2011-10-29

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Milestone: CCI-0.6.4 Story Points:  

Product Version: *   

Description

CNReplication currently is documented as:

setReplicationStatus(): PUT /replicaNotifications/{pid}?session={session}&nodeRef={nodeRef}&status={status}

updateReplicationMetadata(): PUT /replicaMetadata/{pid}?session={session}&replicaMetadata={replicaMetadata}

setReplicationPolicy(): PUT /replicaPolicies/{pid}?session={session}&policy={policy}

isNodeAuthorized(): GET

/replicaAuthorizations/{pid}?session={session}&targetNodeSubject={targetNodeSubject}&replicatePermission={replicatePermission}

These need to be reviewed to be sure that PUTs have content in the body, not in params.

History

#1 - 2011-10-31 02:00 - Dave Vieglais

- Status changed from New to Closed

#2 - 2014-10-02 17:21 - Dave Vieglais

- Target version set to Maintenance Backlog
